Bug 124676 - rpc.rquotad not configurable to a predefined port
rpc.rquotad not configurable to a predefined port
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
: FutureFeature
Depends On:
Blocks: FC3BugWeekTracker
  Show dependency treegraph
 
Reported: 2004-05-28 09:41 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 23:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trivial fix (414 bytes, patch)
2004-05-28 09:43 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2004-05-28 09:41:52 EDT
Description of problem:

While mountd, statd and lockd can be tied to a predefined port, the
same is not true of rpc.rquotad. This makes firewalling hard!

Version-Release number of selected component (if applicable):

nfs-utils-1.0.6-22

How reproducible:

Always

Steps to Reproduce:

1. "service nfs restart" a few times
2. watch your partmapper "rpcinfo -p"
3. try firewalling that, matey! :)
  
Actual results:

works, but can't firewall easily

Expected results:

"man rquotad" say it'll accept "-p port", so why not?

Additional info:

Trivial patch to /etc/init.d/nfs to follow..
Comment 1 Need Real Name 2004-05-28 09:43:32 EDT
Created attachment 100663 [details]
trivial fix

Maybe one could include the "-S" functionality of rquotad later, too!
Comment 2 Andrew Taylor 2004-09-02 12:35:40 EDT
The rpc.rquotad from quota-3.10 (latest in fc2) has a bug in it.  The
-p option uses the port without first converting it to network byte
order (htons).  Newer quota packages from upstream have fixed this
bug.  A workaround is to specify the port in big endian (e.g.
"rpc.rquotad -p 39426" for port 666).
Comment 3 Andrew Taylor 2004-09-28 12:27:31 EDT
This bug is no longer blocked now that bug 131594 and bug 131862 are
fixed.
Comment 4 Rik van Riel 2004-09-28 15:23:43 EDT
OK, I guess we should evaluate the patch from comment #1 and merge it,
if it's still nedede with quota-3.12...
Comment 5 Andrew Taylor 2004-10-13 15:21:42 EDT
I've confirmed the patch works "as is" with the quota-3.12-5 RPM from
FC3 test 3.
Comment 6 Steve Dickson 2004-10-14 09:51:31 EDT
Fixed in nfs-utils-1.0.6-38
Comment 7 Matthew Miller 2006-06-29 23:28:32 EDT
An update never went out for FC2, which this was filed against, but FC3 shipped
with 1.0.6-39, which is greater than the version mentioned in comment #6.

Note You need to log in before you can comment on or make changes to this bug.